VTK: vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T > Class Template Reference

| VTK 9.3.1

Classes | Public Member Functions | List of all members
vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T > Class Template Reference

`#include <vtkSMPThreadLocalImpl.h>`

Inheritance diagram for vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >:
[legend]
Collaboration diagram for vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >:
[legend]

## Classes
class | ItImpl

## Public Member Functions
| vtkSMPThreadLocalImpl ()=default
| vtkSMPThreadLocalImpl (const T &exemplar)
T & | Local () override
size_t | size () const override
std::unique_ptr< ItImplAbstract > | begin () override
std::unique_ptr< ItImplAbstract > | end () override
Public Member Functions inherited from vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >
virtual | ~vtkSMPThreadLocalImplAbstract ()=default

## Detailed Description

### template<typename T>
class vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >

Definition at line 33 of file vtkSMPThreadLocalImpl.h.

## Constructor & Destructor Documentation

## ◆ vtkSMPThreadLocalImpl() [1/2]

template<typename T >

vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::vtkSMPThreadLocalImpl | ( |  | ) |
| default

## ◆ vtkSMPThreadLocalImpl() [2/2]

template<typename T >

vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::vtkSMPThreadLocalImpl | ( | const T & | exemplar | ) |
| inlineexplicit

Definition at line 42 of file vtkSMPThreadLocalImpl.h.

## Member Function Documentation

## ◆ Local()

template<typename T >

T& vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::Local | ( |  | ) |
| inlineoverridevirtual

Implements vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >.

Definition at line 47 of file vtkSMPThreadLocalImpl.h.

## ◆ size()

template<typename T >

size_t vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::size | ( |  | ) | const
| inlineoverridevirtual

Implements vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >.

Definition at line 49 of file vtkSMPThreadLocalImpl.h.

## ◆ begin()

template<typename T >

std::unique_ptr<ItImplAbstract> vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::begin | ( |  | ) |
| inlineoverridevirtual

Implements vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >.

Definition at line 74 of file vtkSMPThreadLocalImpl.h.

## ◆ end()

template<typename T >

std::unique_ptr<ItImplAbstract> vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::end | ( |  | ) |
| inlineoverridevirtual

Implements vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >.

Definition at line 84 of file vtkSMPThreadLocalImpl.h.

The documentation for this class was generated from the following file:

- Common/Core/SMP/TBB/vtkSMPThreadLocalImpl.h